I am trying to: always run revcloud in paperspace. create or set the current layer to "cloud" Run the revcloud command then insert a block with an attribute in it. My routine draws the cloud but then skips through the rest of the program, I know this is something simple but I cannot remember what it is. (Defun C:CLOUD (/ ) (if (= 1 tilemd) (setvar "tilemode" 1) ) (command "layer" "m" "cloud" "") (command "revcloud" pause) (setq rpnt (getpoint " Pick point for revision block.. ")) (terpri) (setvar "attdia" 1) (command "insert" "//g12/support/blocks/plan/revision" rpnt "" "" "") (Princ) ) ;end cloud.lsp Thanks, Rick